Page MenuHomePhabricator

Mobile edit cards: deploy v1.0 of "adding/modifying links" to prototype server
Closed, ResolvedPublic

Description

Task overview

This task involves the work with deploying "v1.0" of the editing links Edit cards to the prototype server.

Contributor story

When I tap on an existing link
...I want to see all of the attributes/properties of that link and the edit actions associated with them
...so I know what attributes I can edit and how to edit them

When I add a new link
...I want to see all of the attributes/properties of the link I just inserted and the edit actions associated with them
...so I can determine whether I have been successful in making the changes I intended and correct them if I have not been successful

Blocking

  • Changes Design changes specified in T225629 are deployed to prototype server
  • @iamjessklein to confirm whether parts of Edit Card are still being cutoff. See "Elizabeth Bennet" screenshot in T221309#5250100

Open

  • 8. In the case of a contributor attempting to add a new link is it reasonable to pursue a flow like the one described here? No action needed right now. We will explore this is in a later iteration. See T225725

"Done" (not yet complete)

  • "Blocking" issues are resolved
  • Iteration containing "Blocking" issue resolutions deployed to prototype server

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2019, 10:16 PM
ppelberg renamed this task from Mobile edit cards: deploy "adding/modifying" links to prototype server to Mobile edit cards: deploy "adding/modifying links" to prototype server.Apr 17 2019, 10:16 PM
marcella moved this task from To Triage to Q4 on the VisualEditor board.May 15 2019, 4:01 PM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)Jun 11 2019, 1:47 PM
ppelberg added subscribers: Esanders, iamjessklein.
ppelberg updated the task description. (Show Details)Jun 11 2019, 1:54 PM
ppelberg updated the task description. (Show Details)Jun 11 2019, 3:24 PM
ppelberg updated the task description. (Show Details)
iamjessklein added a subscriber: alexhollender.EditedJun 11 2019, 3:42 PM

I reviewed the latest version of what's up on the prototype server. The way that I reviewed it is that I ran through the 3 tasks that we evaluated in the initial heuristic analysis. I listed the tasks and then any issues that came up for me.

Task 1. Access the site, make an edit and publish it

No issues and everything behaved as expected.

Task 2. Link to another Wikipedia page from that article

  • Adding a new link: I had no issues and everything behaved as expected.
  • When editing link label, the highlight was not aligned with the text input box which was visually disorienting:

  • I still find this way of label editing confusing and would prefer to have the label input, however as this is the default interaction right now I think that we can return to this in a later iteration.

  • The little hair of the line in the segmented navigation to the left of the first item shouldn't be there. This might be an implementation bug with T215644 - I just talked to @alexhollender and we found a few other visual inconsistencies across mobile which we will add to a separate ui ticket.

Task 3. Add a citation to the article

  • I couldn't get this to work at all - I don't expect it to be right at this point, but it should be functional, no?

Non - Task-related notes:

  • I was on a slow connection and it seems like the loading work that we just did is not reflected in this prototype
  • I am still questioning the use of separate icons for links and citations
  • We should update the publish button with an icon in a future iteration to reduce the need for space
  • Deleting links was easy
  • I'm on a fancy iphone but parts of the interface get cut off for me:

ppelberg updated the task description. (Show Details)Jun 11 2019, 3:45 PM
ppelberg updated the task description. (Show Details)

The little hair of the line in the segmented navigation to the left of the first item shouldn't be there.

This was fixed in the last OOUI release, which I've pushed to the prototype server

I couldn't get this to work at all - I don't expect it to be right at this point, but it should be functional, no?

Server config issue, unrelated to this work.

Esanders updated the task description. (Show Details)Jun 11 2019, 4:22 PM
Esanders updated the task description. (Show Details)

Replying to @ppelberg in the description:
1 & 2 are fixed.
3 I can reproduce. Will investigate.
4 I think is the same as 1 & 2 so fixed.
5 is indeed unrelated to this task.
6: yes, I noticed this as well and fixed yesterday, so should be fixed
7: yes, and I think this is correct

3 I can reproduce. Will investigate.

This is T221967, and is not restricted to mobile. The 'change label' feature is broken on desktop too, if you put the cursor at the end of the link...

ppelberg updated the task description. (Show Details)Jun 11 2019, 4:30 PM
  1. Should be fixed on the prototype server
ppelberg added a comment.EditedJun 11 2019, 8:16 PM

Replying to @ppelberg in the description:
1 & 2 are fixed.
3 I can reproduce. Will investigate.
4 I think is the same as 1 & 2 so fixed.
5 is indeed unrelated to this task.
6: yes, I noticed this as well and fixed yesterday, so should be fixed
7: yes, and I think this is correct

Great. The task description and the below should now reflect what @Esanders mentioned in T221309#5250321 and T221309#5250529.

Blocking

  • 1. iOS + Safari: When the soft keyboard is displayed and a contributor taps an existing link, the Edit Card should show. Currently, the Edit Card does not display without a contributor first tapping "Done" to close the soft keyboard.
  • 2. iOS + Safari: When the Edit Card is displayed and a contributor taps another existing link, the Edit Card should show. Currently, in this context, the soft keyboard is displayed. To reveal the Edit Card, a contributor must first tap "Done" to close the soft keyboard.
  • 3. iOS + Safari: It seems, that when a contributor places their cursor at the end of an existing link they are unable to edit that link's label text. See this video: unable to edit label text

Open

  • 5. iPhone XS + Safari: When an existing link is tapped (with the keyboard open), the document is zoomed, and the "Edit" button is out of view (Does this being resolved depend on T216446 ?)
  • 6. Should we present the context item, or some version of it, after the contributor leaves the link inspector view?

Yes, unless testing proves otherwise. See T221299

  • 7. How does the context item get affected after a contributor taps "unlink"?

It is removed from view.

ppelberg updated the task description. (Show Details)Jun 11 2019, 8:17 PM
ppelberg updated the task description. (Show Details)Jun 11 2019, 8:22 PM
ppelberg updated the task description. (Show Details)Jun 12 2019, 7:35 PM
ppelberg renamed this task from Mobile edit cards: deploy "adding/modifying links" to prototype server to Mobile edit cards: deploy v1.0 of "adding/modifying links" to prototype server.Jun 13 2019, 1:48 AM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)Jun 14 2019, 2:21 AM
ppelberg updated the task description. (Show Details)

13 June | Update

  • We will address the open design questions we have been talking about in T225629, in Edit Cards v2.0: T225725
    • As such, I am removing "Changes Design changes specified in T225629 are deployed to prototype server" as blocking from this task's description.
  • We will be doing pre-deployment QA on Edit Cards v1.0. See: T221311
    • As such, I am removing "...confirm whether parts of Edit Card are still being cutoff. See "Elizabeth Bennet" screenshot in T221309#5250100" as blocking from this task's description.
ppelberg updated the task description. (Show Details)Jun 14 2019, 2:46 AM
ppelberg closed this task as Resolved.Jun 14 2019, 2:52 AM
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)
  • I'm on a fancy iphone but parts of the interface get cut off for me:

Fixed.